All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.dataselectors.ranking
Class RelationalRankingSelectorAdapter

    com.sas.dataselectors.ranking.RelationalRankingSelectorAdapter

All Implemented Interfaces:
  RankingSelectorInterface, RelationalRankingSelectorInterface

    public class RelationalRankingSelectorAdapter

implements RelationalRankingSelectorInterface

It's an implementation of a Ranking Selector adapter for non multidimensional (relational) data.

Since:
  3.1

Field Summary

Fields inherited from class com.sas.dataselectors.ranking.BaseRankingSelectorAdapter
`bundle, dataItems, dataModel, locale, model, rankStatuses, RB_KEY, valuesFromDataModel`

Fields inherited from interface com.sas.dataselectors.ranking.RankingSelectorInterface
`NO_RANK`

Constructor Summary
`RelationalRankingSelectorAdapter()` Default constructor.

Method Summary
`int` | `countRankTypeValue()` Returns the value associated to the "Count" ranking type.
`java.lang.String` | `dataItemRankStatus(java.lang.String dataItemID)` Returns the localized string describing the rank status for a DataItem.
`protected void` | `initDataItems()` Reading from the data model fills the dataItems instance variable with the ranking attributes of all the data items in the data model.
`java.util.Map` | `rankableColumnNames()` Returns the list of the columns that can be ranked.
`java.lang.String` | `rankingColumnName()` Returns the name of the column to rank.
`void` | `rankingColumnName(java.lang.String name)` Sets the name of the column to rank.
`java.util.Map` | `rankTypes()` Returns the list of the available rank types.
`void` | `setIncludeTies(java.lang.String isIncludeTies)` Sets if the ties are included.

Methods inherited from class com.sas.dataselectors.ranking.BaseRankingSelectorAdapter
`dataItems, dataItems, dataModel, dataModel, getIncludeTies, getIncludeTies, getLocale, getLocalizedInfoText, getLocalizedText, getModel, getRankFilter, includeTies, includeTies, includeTies, percentageRanking, percentageRanking, rankingCount, rankingCount, rankOrder, rankStatuses, rankStatuses, rankType, rankType, rankType, rankValue, setLocale, setModel, topRanking, topRanking, valuesFromDataModel, valuesFromDataModel`

Methods inherited from interface com.sas.dataselectors.ranking.RankingSelectorInterface
`getIncludeTies, getIncludeTies, getLocale, getLocalizedInfoText, getLocalizedText, getModel, includeTies, includeTies, includeTies, percentageRanking, percentageRanking, rankingCount, rankingCount, rankOrder, rankType, rankType, rankType, rankValue, setLocale, setModel, topRanking, topRanking, valuesFromDataModel, valuesFromDataModel`

Constructor Detail

### RelationalRankingSelectorAdapter

    public RelationalRankingSelectorAdapter()

  Default constructor.

Method Detail

### rankableColumnNames

    public java.util.Map rankableColumnNames()

  Description copied from interface: `RelationalRankingSelectorInterface`
  Returns the list of the columns that can be ranked.

  Specified by:
    `rankableColumnNames` in interface `RelationalRankingSelectorInterface`
  Returns:
    the columns that can be ranked. In the Map there's one element for each rankable column, for each element in the map its key is the column label and its value is the column name

### rankingColumnName

    public void rankingColumnName(java.lang.String name)

  Description copied from interface: `RelationalRankingSelectorInterface`
  Sets the name of the column to rank.

  Specified by:
    `rankingColumnName` in interface `RelationalRankingSelectorInterface`
  Parameters:
    `name` - The name of the column to rank

### rankingColumnName

    public java.lang.String rankingColumnName()

  Description copied from interface: `RelationalRankingSelectorInterface`
  Returns the name of the column to rank.

  Specified by:
    `rankingColumnName` in interface `RelationalRankingSelectorInterface`
  Returns:
    the name of the column to rank

### rankTypes

    public java.util.Map rankTypes()

  Description copied from class: `BaseRankingSelectorAdapter`
  Returns the list of the available rank types.

  Specified by:
    `rankTypes` in interface `RankingSelectorInterface`
  Specified by:
    `rankTypes` in class `BaseRankingSelectorAdapter`
  Returns:
    Map the rank types. In the Map there's one element for each rank type, for each element in the map its key is the rank type description and its value is the rank type value.

### dataItemRankStatus

    public java.lang.String dataItemRankStatus(java.lang.String dataItemID)

  Description copied from class: `BaseRankingSelectorAdapter`
  Returns the localized string describing the rank status for a DataItem.

  Specified by:
    `dataItemRankStatus` in interface `RankingSelectorInterface`
  Specified by:
    `dataItemRankStatus` in class `BaseRankingSelectorAdapter`
  Parameters:
    `dataItemID` - the DataItam id
  Returns:
    the localized string describing the rank status for the DataItem

### initDataItems

    protected void initDataItems()

  Description copied from class: `BaseRankingSelectorAdapter`
  Reading from the data model fills the dataItems instance variable with the ranking attributes of all the data items in the data model.

  Specified by:
    `initDataItems` in class `BaseRankingSelectorAdapter`

### countRankTypeValue

    public int countRankTypeValue()

  Description copied from interface: `RankingSelectorInterface`
  Returns the value associated to the "Count" ranking type.

  Specified by:
    `countRankTypeValue` in interface `RankingSelectorInterface`
  Overrides:
    `countRankTypeValue` in class `BaseRankingSelectorAdapter`
  Returns:
    the value associated to the "Count" ranking type

### setIncludeTies

    public void setIncludeTies(java.lang.String isIncludeTies)

  Description copied from interface: `RankingSelectorInterface`
  Sets if the ties are included.

  Specified by:
    `setIncludeTies` in interface `RankingSelectorInterface`
  Overrides:
    `setIncludeTies` in class `BaseRankingSelectorAdapter`
  Parameters:
    `isIncludeTies` - valid values are: `RankingSelectorComponents.INCLUDE_TIES`, `RankingSelectorComponents.NOT_INCLUDE_TIES`, `RankingSelectorComponents.TIES_NOT_APPLICABLE`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.